### Name: hidden
### Title: Get labels and properties for seasonal graphs
### Aliases: .seasxlab .seastitle .seascols .seasmonthgrid
### Keywords: utilities

### ** Examples

par.orig <- par(no.readonly=TRUE)
on.exit(par(par.orig))

.seasxlab(11)
.seasxlab("mon")

data(mscdata)

## Not run: 
##D par(family="serif",cex=1.2)
## End(Not run)
plot.seas.temp(mscdata, width=11, id=1108447,
  style=c(1,1), month.len=1)

## Not run: 
##D par(family="sans",cex=0.8)
## End(Not run)
plot.seas.temp(mscdata, width=365/12, id=1108447,
  style=c(2,0), month.abb=FALSE)

## Not run: 
##D par(family="mono",cex=1)
## End(Not run)
plot.seas.temp(mscdata, width="mon",  id=1108447,
  style=c(0,2))

# make a professional EPS figure for a publication:
## Not run: 
##D postscript("fig2_temperature.eps",
##D   width=5,height=3,horizontal=FALSE,onefile=TRUE,
##D   paper="special")
##D par(cex=0.6,lwd=0.8)
##D plot.seas.temp(mscdata,id="1108447",style=c(3,2))
##D dev.off()
## End(Not run)



